Skip to content
Start here

Read namespace.

client.aiSearch.namespaces.read(stringname, NamespaceReadParams { account_id } params?, RequestOptionsoptions?): NamespaceReadResponse { created_at, name, description }
GET/accounts/{account_id}/ai-search/namespaces/{name}

Read namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
name: string
params: NamespaceReadParams { account_id }
account_id?: string
ReturnsExpand Collapse
NamespaceReadResponse { created_at, name, description }
created_at: string
formatdate-time
name: string
description?: string | null

Optional description for the namespace. Max 256 characters.

maxLength256

Read namespace.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.aiSearch.namespaces.read('production', {
  account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22',
});

console.log(response.created_at);
{
  "result": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "production",
    "description": "Production environment"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "production",
    "description": "Production environment"
  },
  "success": true
}